summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Heim <phreak@gentoo.org>2006-04-11 10:21:29 +0000
committerChristian Heim <phreak@gentoo.org>2006-04-11 10:21:29 +0000
commitd8513d173f480d6947db2c437ed5a4e1ded8f556 (patch)
treecc38e4ee361a34fa073ee5d8da8e066824cbf109 /dietlibc/mkrelease
parentImporting the vcontext uid fix from Daniel Hokka Zakrisson's src.rpm (diff)
downloadmisc-d8513d173f480d6947db2c437ed5a4e1ded8f556.tar.gz
misc-d8513d173f480d6947db2c437ed5a4e1ded8f556.tar.bz2
misc-d8513d173f480d6947db2c437ed5a4e1ded8f556.zip
Importing the dietlibc-(patch)-repo
svn path=/; revision=316
Diffstat (limited to 'dietlibc/mkrelease')
-rwxr-xr-xdietlibc/mkrelease35
1 files changed, 35 insertions, 0 deletions
diff --git a/dietlibc/mkrelease b/dietlibc/mkrelease
new file mode 100755
index 0000000..7f309c2
--- /dev/null
+++ b/dietlibc/mkrelease
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+if [ -z $2 ]; then
+ echo "Usage: mkrelease <ver> <rev>"
+ exit 1
+fi
+
+VER="${1}"
+REV="${2}"
+
+shift 2
+
+tmpdir=$(mktemp -du)
+
+svn export . ${tmpdir}
+
+pushd ${tmpdir} >/dev/null
+pushd patches >/dev/null
+
+for dir in *; do
+ [ "${dir}" == "${VER}-${REV}" ] && mv ${dir}/* .
+ rm -rf "${dir}"
+done
+
+popd >/dev/null
+
+rm -f mkrelease
+
+popd >/dev/null
+
+tar cjvf ./dietlibc-${VER}-patches-${REV}.tar.bz2 -C ${tmpdir} . | sort
+
+rm -rf ${tmpdir}
+
+echo "Tarball is at ./dietlibc-${VER}-patches-${REV}.tar.bz2"